Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/SelfTest/src/test.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/SelfTest/src/test.cpp	(revision 82)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/SelfTest/src/test.cpp	(revision 88)
@@ -22,4 +22,14 @@
 #endif
 
+  Tusage_t _usage = USE_ALL;
+
+//   _usage = usage_unset(_usage,USE_SYSTEMC              );
+//   _usage = usage_unset(_usage,USE_VHDL                 );
+//   _usage = usage_unset(_usage,USE_VHDL_TESTBENCH       );
+//   _usage = usage_unset(_usage,USE_VHDL_TESTBENCH_ASSERT);
+//   _usage = usage_unset(_usage,USE_POSITION             );
+//   _usage = usage_unset(_usage,USE_STATISTICS           );
+//   _usage = usage_unset(_usage,USE_INFORMATION          );
+
   Register_unit * _Register_unit = new Register_unit 
     (name.c_str(),
@@ -28,5 +38,5 @@
 #endif
      _param,
-     USE_ALL);
+     _usage);
   
 #ifdef SYSTEMC
@@ -75,15 +85,15 @@
   sc_signal<Tspecial_address_t>  ***  in_INSERT_ROB_RE_NUM_REG        ;
 
-    // ~~~~~[ Interface "retire_rob" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-  sc_signal<Tcontrol_t        >  ***  in_RETIRE_ROB_VAL               ;
-  sc_signal<Tcontrol_t        >  *** out_RETIRE_ROB_ACK               ;
-  sc_signal<Tcontrol_t        >  ***  in_RETIRE_ROB_RD_OLD_USE        ; 
-  sc_signal<Tgeneral_address_t>  ***  in_RETIRE_ROB_RD_OLD_NUM_REG    ; // old_use=1 : status[old_num_reg]<- 0
-  sc_signal<Tcontrol_t        >  ***  in_RETIRE_ROB_RD_NEW_USE        ;
-  sc_signal<Tgeneral_address_t>  ***  in_RETIRE_ROB_RD_NEW_NUM_REG    ; // new_use=1 : status[new_num_reg]<- 1
-  sc_signal<Tcontrol_t        >  ***  in_RETIRE_ROB_RE_OLD_USE        ; 
-  sc_signal<Tspecial_address_t>  ***  in_RETIRE_ROB_RE_OLD_NUM_REG    ;
-  sc_signal<Tcontrol_t        >  ***  in_RETIRE_ROB_RE_NEW_USE        ;
-  sc_signal<Tspecial_address_t>  ***  in_RETIRE_ROB_RE_NEW_NUM_REG    ;
+//     // ~~~~~[ Interface "retire_rob" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+//   sc_signal<Tcontrol_t        >  ***  in_RETIRE_ROB_VAL               ;
+//   sc_signal<Tcontrol_t        >  *** out_RETIRE_ROB_ACK               ;
+//   sc_signal<Tcontrol_t        >  ***  in_RETIRE_ROB_RD_OLD_USE        ; 
+//   sc_signal<Tgeneral_address_t>  ***  in_RETIRE_ROB_RD_OLD_NUM_REG    ; // old_use=1 : status[old_num_reg]<- 0
+//   sc_signal<Tcontrol_t        >  ***  in_RETIRE_ROB_RD_NEW_USE        ;
+//   sc_signal<Tgeneral_address_t>  ***  in_RETIRE_ROB_RD_NEW_NUM_REG    ; // new_use=1 : status[new_num_reg]<- 1
+//   sc_signal<Tcontrol_t        >  ***  in_RETIRE_ROB_RE_OLD_USE        ; 
+//   sc_signal<Tspecial_address_t>  ***  in_RETIRE_ROB_RE_OLD_NUM_REG    ;
+//   sc_signal<Tcontrol_t        >  ***  in_RETIRE_ROB_RE_NEW_USE        ;
+//   sc_signal<Tspecial_address_t>  ***  in_RETIRE_ROB_RE_NEW_NUM_REG    ;
 
   string rename = "signal";
@@ -192,45 +202,45 @@
        }
 
-    // ~~~~~[ Interface "retire_rob" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-      in_RETIRE_ROB_VAL            = new sc_signal<Tcontrol_t        > ** [_param->_nb_ooo_engine];
-     out_RETIRE_ROB_ACK            = new sc_signal<Tcontrol_t        > ** [_param->_nb_ooo_engine];
-      in_RETIRE_ROB_RD_OLD_USE     = new sc_signal<Tcontrol_t        > ** [_param->_nb_ooo_engine];
-      in_RETIRE_ROB_RD_OLD_NUM_REG = new sc_signal<Tgeneral_address_t> ** [_param->_nb_ooo_engine];
-      in_RETIRE_ROB_RE_OLD_USE     = new sc_signal<Tcontrol_t        > ** [_param->_nb_ooo_engine];
-      in_RETIRE_ROB_RE_OLD_NUM_REG = new sc_signal<Tspecial_address_t> ** [_param->_nb_ooo_engine];
-      in_RETIRE_ROB_RD_NEW_USE     = new sc_signal<Tcontrol_t        > ** [_param->_nb_ooo_engine];
-      in_RETIRE_ROB_RD_NEW_NUM_REG = new sc_signal<Tgeneral_address_t> ** [_param->_nb_ooo_engine];
-      in_RETIRE_ROB_RE_NEW_USE     = new sc_signal<Tcontrol_t        > ** [_param->_nb_ooo_engine];
-      in_RETIRE_ROB_RE_NEW_NUM_REG = new sc_signal<Tspecial_address_t> ** [_param->_nb_ooo_engine];
-
-     for (uint32_t i=0; i<_param->_nb_ooo_engine; i++)
-       {
-	 uint32_t x=_param->_nb_inst_retire_rob [i];
-
-	  in_RETIRE_ROB_VAL            [i] = new sc_signal<Tcontrol_t        > * [x];
-	 out_RETIRE_ROB_ACK            [i] = new sc_signal<Tcontrol_t        > * [x];
-	  in_RETIRE_ROB_RD_OLD_USE     [i] = new sc_signal<Tcontrol_t        > * [x];
-	  in_RETIRE_ROB_RD_OLD_NUM_REG [i] = new sc_signal<Tgeneral_address_t> * [x];
-	  in_RETIRE_ROB_RE_OLD_USE     [i] = new sc_signal<Tcontrol_t        > * [x];
-	  in_RETIRE_ROB_RE_OLD_NUM_REG [i] = new sc_signal<Tspecial_address_t> * [x];
-	  in_RETIRE_ROB_RD_NEW_USE     [i] = new sc_signal<Tcontrol_t        > * [x];
-	  in_RETIRE_ROB_RD_NEW_NUM_REG [i] = new sc_signal<Tgeneral_address_t> * [x];
-	  in_RETIRE_ROB_RE_NEW_USE     [i] = new sc_signal<Tcontrol_t        > * [x];
-	  in_RETIRE_ROB_RE_NEW_NUM_REG [i] = new sc_signal<Tspecial_address_t> * [x];
-
-	 for (uint32_t j=0; j<x; j++)
-	   {
-	      in_RETIRE_ROB_VAL            [i][j] = new sc_signal<Tcontrol_t        > (rename.c_str());
-	     out_RETIRE_ROB_ACK            [i][j] = new sc_signal<Tcontrol_t        > (rename.c_str());
-	      in_RETIRE_ROB_RD_OLD_USE     [i][j] = new sc_signal<Tcontrol_t        > (rename.c_str());
-	      in_RETIRE_ROB_RD_OLD_NUM_REG [i][j] = new sc_signal<Tgeneral_address_t> (rename.c_str());
-	      in_RETIRE_ROB_RE_OLD_USE     [i][j] = new sc_signal<Tcontrol_t        > (rename.c_str());
-	      in_RETIRE_ROB_RE_OLD_NUM_REG [i][j] = new sc_signal<Tspecial_address_t> (rename.c_str());
-	      in_RETIRE_ROB_RD_NEW_USE     [i][j] = new sc_signal<Tcontrol_t        > (rename.c_str());
-	      in_RETIRE_ROB_RD_NEW_NUM_REG [i][j] = new sc_signal<Tgeneral_address_t> (rename.c_str());
-	      in_RETIRE_ROB_RE_NEW_USE     [i][j] = new sc_signal<Tcontrol_t        > (rename.c_str());
-	      in_RETIRE_ROB_RE_NEW_NUM_REG [i][j] = new sc_signal<Tspecial_address_t> (rename.c_str());
-	   }
-       }
+//     // ~~~~~[ Interface "retire_rob" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+//       in_RETIRE_ROB_VAL            = new sc_signal<Tcontrol_t        > ** [_param->_nb_ooo_engine];
+//      out_RETIRE_ROB_ACK            = new sc_signal<Tcontrol_t        > ** [_param->_nb_ooo_engine];
+//       in_RETIRE_ROB_RD_OLD_USE     = new sc_signal<Tcontrol_t        > ** [_param->_nb_ooo_engine];
+//       in_RETIRE_ROB_RD_OLD_NUM_REG = new sc_signal<Tgeneral_address_t> ** [_param->_nb_ooo_engine];
+//       in_RETIRE_ROB_RE_OLD_USE     = new sc_signal<Tcontrol_t        > ** [_param->_nb_ooo_engine];
+//       in_RETIRE_ROB_RE_OLD_NUM_REG = new sc_signal<Tspecial_address_t> ** [_param->_nb_ooo_engine];
+//       in_RETIRE_ROB_RD_NEW_USE     = new sc_signal<Tcontrol_t        > ** [_param->_nb_ooo_engine];
+//       in_RETIRE_ROB_RD_NEW_NUM_REG = new sc_signal<Tgeneral_address_t> ** [_param->_nb_ooo_engine];
+//       in_RETIRE_ROB_RE_NEW_USE     = new sc_signal<Tcontrol_t        > ** [_param->_nb_ooo_engine];
+//       in_RETIRE_ROB_RE_NEW_NUM_REG = new sc_signal<Tspecial_address_t> ** [_param->_nb_ooo_engine];
+
+//      for (uint32_t i=0; i<_param->_nb_ooo_engine; i++)
+//        {
+// 	 uint32_t x=_param->_nb_inst_retire_rob [i];
+
+// 	  in_RETIRE_ROB_VAL            [i] = new sc_signal<Tcontrol_t        > * [x];
+// 	 out_RETIRE_ROB_ACK            [i] = new sc_signal<Tcontrol_t        > * [x];
+// 	  in_RETIRE_ROB_RD_OLD_USE     [i] = new sc_signal<Tcontrol_t        > * [x];
+// 	  in_RETIRE_ROB_RD_OLD_NUM_REG [i] = new sc_signal<Tgeneral_address_t> * [x];
+// 	  in_RETIRE_ROB_RE_OLD_USE     [i] = new sc_signal<Tcontrol_t        > * [x];
+// 	  in_RETIRE_ROB_RE_OLD_NUM_REG [i] = new sc_signal<Tspecial_address_t> * [x];
+// 	  in_RETIRE_ROB_RD_NEW_USE     [i] = new sc_signal<Tcontrol_t        > * [x];
+// 	  in_RETIRE_ROB_RD_NEW_NUM_REG [i] = new sc_signal<Tgeneral_address_t> * [x];
+// 	  in_RETIRE_ROB_RE_NEW_USE     [i] = new sc_signal<Tcontrol_t        > * [x];
+// 	  in_RETIRE_ROB_RE_NEW_NUM_REG [i] = new sc_signal<Tspecial_address_t> * [x];
+
+// 	 for (uint32_t j=0; j<x; j++)
+// 	   {
+// 	      in_RETIRE_ROB_VAL            [i][j] = new sc_signal<Tcontrol_t        > (rename.c_str());
+// 	     out_RETIRE_ROB_ACK            [i][j] = new sc_signal<Tcontrol_t        > (rename.c_str());
+// 	      in_RETIRE_ROB_RD_OLD_USE     [i][j] = new sc_signal<Tcontrol_t        > (rename.c_str());
+// 	      in_RETIRE_ROB_RD_OLD_NUM_REG [i][j] = new sc_signal<Tgeneral_address_t> (rename.c_str());
+// 	      in_RETIRE_ROB_RE_OLD_USE     [i][j] = new sc_signal<Tcontrol_t        > (rename.c_str());
+// 	      in_RETIRE_ROB_RE_OLD_NUM_REG [i][j] = new sc_signal<Tspecial_address_t> (rename.c_str());
+// 	      in_RETIRE_ROB_RD_NEW_USE     [i][j] = new sc_signal<Tcontrol_t        > (rename.c_str());
+// 	      in_RETIRE_ROB_RD_NEW_NUM_REG [i][j] = new sc_signal<Tgeneral_address_t> (rename.c_str());
+// 	      in_RETIRE_ROB_RE_NEW_USE     [i][j] = new sc_signal<Tcontrol_t        > (rename.c_str());
+// 	      in_RETIRE_ROB_RE_NEW_NUM_REG [i][j] = new sc_signal<Tspecial_address_t> (rename.c_str());
+// 	   }
+//        }
 
   
@@ -292,18 +302,18 @@
 	(*(_Register_unit-> in_INSERT_ROB_RE_NUM_REG [i][j]))(*( in_INSERT_ROB_RE_NUM_REG [i][j]));
       }
-  for (uint32_t i=0; i<_param->_nb_ooo_engine; i++)
-    for (uint32_t j=0; j<_param->_nb_inst_retire_rob [i]; j++)
-      {
-	(*(_Register_unit-> in_RETIRE_ROB_VAL            [i][j]))(*( in_RETIRE_ROB_VAL            [i][j]));
-	(*(_Register_unit->out_RETIRE_ROB_ACK            [i][j]))(*(out_RETIRE_ROB_ACK            [i][j]));
-	(*(_Register_unit-> in_RETIRE_ROB_RD_OLD_USE     [i][j]))(*( in_RETIRE_ROB_RD_OLD_USE     [i][j]));
-	(*(_Register_unit-> in_RETIRE_ROB_RD_OLD_NUM_REG [i][j]))(*( in_RETIRE_ROB_RD_OLD_NUM_REG [i][j]));
-	(*(_Register_unit-> in_RETIRE_ROB_RE_OLD_USE     [i][j]))(*( in_RETIRE_ROB_RE_OLD_USE     [i][j]));
-	(*(_Register_unit-> in_RETIRE_ROB_RE_OLD_NUM_REG [i][j]))(*( in_RETIRE_ROB_RE_OLD_NUM_REG [i][j]));
-	(*(_Register_unit-> in_RETIRE_ROB_RD_NEW_USE     [i][j]))(*( in_RETIRE_ROB_RD_NEW_USE     [i][j]));
-	(*(_Register_unit-> in_RETIRE_ROB_RD_NEW_NUM_REG [i][j]))(*( in_RETIRE_ROB_RD_NEW_NUM_REG [i][j]));
-	(*(_Register_unit-> in_RETIRE_ROB_RE_NEW_USE     [i][j]))(*( in_RETIRE_ROB_RE_NEW_USE     [i][j]));
-	(*(_Register_unit-> in_RETIRE_ROB_RE_NEW_NUM_REG [i][j]))(*( in_RETIRE_ROB_RE_NEW_NUM_REG [i][j]));
-      }
+//   for (uint32_t i=0; i<_param->_nb_ooo_engine; i++)
+//     for (uint32_t j=0; j<_param->_nb_inst_retire_rob [i]; j++)
+//       {
+// 	(*(_Register_unit-> in_RETIRE_ROB_VAL            [i][j]))(*( in_RETIRE_ROB_VAL            [i][j]));
+// 	(*(_Register_unit->out_RETIRE_ROB_ACK            [i][j]))(*(out_RETIRE_ROB_ACK            [i][j]));
+// 	(*(_Register_unit-> in_RETIRE_ROB_RD_OLD_USE     [i][j]))(*( in_RETIRE_ROB_RD_OLD_USE     [i][j]));
+// 	(*(_Register_unit-> in_RETIRE_ROB_RD_OLD_NUM_REG [i][j]))(*( in_RETIRE_ROB_RD_OLD_NUM_REG [i][j]));
+// 	(*(_Register_unit-> in_RETIRE_ROB_RE_OLD_USE     [i][j]))(*( in_RETIRE_ROB_RE_OLD_USE     [i][j]));
+// 	(*(_Register_unit-> in_RETIRE_ROB_RE_OLD_NUM_REG [i][j]))(*( in_RETIRE_ROB_RE_OLD_NUM_REG [i][j]));
+// 	(*(_Register_unit-> in_RETIRE_ROB_RD_NEW_USE     [i][j]))(*( in_RETIRE_ROB_RD_NEW_USE     [i][j]));
+// 	(*(_Register_unit-> in_RETIRE_ROB_RD_NEW_NUM_REG [i][j]))(*( in_RETIRE_ROB_RD_NEW_NUM_REG [i][j]));
+// 	(*(_Register_unit-> in_RETIRE_ROB_RE_NEW_USE     [i][j]))(*( in_RETIRE_ROB_RE_NEW_USE     [i][j]));
+// 	(*(_Register_unit-> in_RETIRE_ROB_RE_NEW_NUM_REG [i][j]))(*( in_RETIRE_ROB_RE_NEW_NUM_REG [i][j]));
+//       }
   
   cout << "<" << name << "> Start Simulation ............" << endl;
@@ -331,6 +341,6 @@
   const  int32_t percent_transaction_insert     = 70;
   const  int32_t percent_transaction_insert_use = 70;
-  const  int32_t percent_transaction_retire     = 70;
-  const  int32_t percent_transaction_retire_use = 70;
+//   const  int32_t percent_transaction_retire     = 70;
+//   const  int32_t percent_transaction_retire_use = 70;
   const uint32_t nb_request                     = max_nb_general_register;
 
@@ -365,6 +375,6 @@
       for (uint32_t j=0; j<_param->_nb_inst_insert_rob [i]; j++)
 	in_INSERT_ROB_VAL [i][j]->write(0);
-      for (uint32_t j=0; j<_param->_nb_inst_retire_rob [i]; j++)
-	in_RETIRE_ROB_VAL [i][j]->write(0);
+//       for (uint32_t j=0; j<_param->_nb_inst_retire_rob [i]; j++)
+// 	in_RETIRE_ROB_VAL [i][j]->write(0);
     }
       
@@ -709,53 +719,53 @@
 	}
 
-      LABEL("retire rob");
-
-      cpt = 0;
-      
-      while (cpt < nb_request)
-	{
-	  for (uint32_t i=0; i<_param->_nb_ooo_engine; i++)
-	    {
-	      uint32_t x=_param->_nb_inst_retire_rob [i];
-	      for (uint32_t j=0; j<x; j++)
-		{
-		  in_RETIRE_ROB_VAL            [i][j]->write((rand() % 100) < percent_transaction_retire);
-		  in_RETIRE_ROB_RD_OLD_USE     [i][j]->write((rand() % 100) < percent_transaction_retire_use);
-		  in_RETIRE_ROB_RD_OLD_NUM_REG [i][j]->write(rand() % _param->_nb_general_register [i]);
-		  in_RETIRE_ROB_RD_NEW_USE     [i][j]->write((rand() % 100) < percent_transaction_retire_use);
-		  in_RETIRE_ROB_RD_NEW_NUM_REG [i][j]->write(rand() % _param->_nb_general_register [i]);	    
-		  in_RETIRE_ROB_RE_OLD_USE     [i][j]->write((rand() % 100) < percent_transaction_retire_use); 
-		  in_RETIRE_ROB_RE_OLD_NUM_REG [i][j]->write(rand() % _param->_nb_special_register [i]);	    
-		  in_RETIRE_ROB_RE_NEW_USE     [i][j]->write((rand() % 100) < percent_transaction_retire_use);
-		  in_RETIRE_ROB_RE_NEW_NUM_REG [i][j]->write(rand() % _param->_nb_special_register [i]);	    
-		}
-	    }
-	  
-	  SC_START(1);
-	  
-	  for (uint32_t i=0; i<_param->_nb_ooo_engine; i++)
-	    {
-	      uint32_t x=_param->_nb_inst_retire_rob [i];
-	      for (uint32_t j=0; j<x; j++)
-		{
-		  if (in_RETIRE_ROB_VAL [i][j]->read() and out_RETIRE_ROB_ACK [i][j]->read())
-		    {
-		      cpt ++;
+//       LABEL("retire rob");
+
+//       cpt = 0;
+      
+//       while (cpt < nb_request)
+// 	{
+// 	  for (uint32_t i=0; i<_param->_nb_ooo_engine; i++)
+// 	    {
+// 	      uint32_t x=_param->_nb_inst_retire_rob [i];
+// 	      for (uint32_t j=0; j<x; j++)
+// 		{
+// 		  in_RETIRE_ROB_VAL            [i][j]->write((rand() % 100) < percent_transaction_retire);
+// 		  in_RETIRE_ROB_RD_OLD_USE     [i][j]->write((rand() % 100) < percent_transaction_retire_use);
+// 		  in_RETIRE_ROB_RD_OLD_NUM_REG [i][j]->write(rand() % _param->_nb_general_register [i]);
+// 		  in_RETIRE_ROB_RD_NEW_USE     [i][j]->write((rand() % 100) < percent_transaction_retire_use);
+// 		  in_RETIRE_ROB_RD_NEW_NUM_REG [i][j]->write(rand() % _param->_nb_general_register [i]);	    
+// 		  in_RETIRE_ROB_RE_OLD_USE     [i][j]->write((rand() % 100) < percent_transaction_retire_use); 
+// 		  in_RETIRE_ROB_RE_OLD_NUM_REG [i][j]->write(rand() % _param->_nb_special_register [i]);	    
+// 		  in_RETIRE_ROB_RE_NEW_USE     [i][j]->write((rand() % 100) < percent_transaction_retire_use);
+// 		  in_RETIRE_ROB_RE_NEW_NUM_REG [i][j]->write(rand() % _param->_nb_special_register [i]);	    
+// 		}
+// 	    }
+	  
+// 	  SC_START(1);
+	  
+// 	  for (uint32_t i=0; i<_param->_nb_ooo_engine; i++)
+// 	    {
+// 	      uint32_t x=_param->_nb_inst_retire_rob [i];
+// 	      for (uint32_t j=0; j<x; j++)
+// 		{
+// 		  if (in_RETIRE_ROB_VAL [i][j]->read() and out_RETIRE_ROB_ACK [i][j]->read())
+// 		    {
+// 		      cpt ++;
 		      
-		      if (in_RETIRE_ROB_RD_OLD_USE [i][j]->read())
-			gpr_status [i][in_RETIRE_ROB_RD_OLD_NUM_REG [i][j]->read()] = 0;
-		      if (in_RETIRE_ROB_RD_NEW_USE [i][j]->read())
-			gpr_status [i][in_RETIRE_ROB_RD_NEW_NUM_REG [i][j]->read()] = 1;
-		      if (in_RETIRE_ROB_RE_OLD_USE [i][j]->read())
-			spr_status [i][in_RETIRE_ROB_RE_OLD_NUM_REG [i][j]->read()] = 0;
-		      if (in_RETIRE_ROB_RE_NEW_USE [i][j]->read())
-			spr_status [i][in_RETIRE_ROB_RE_NEW_NUM_REG [i][j]->read()] = 1;
-		    }
-		}
-	    }
-	}
-      for (uint32_t i=0; i<_param->_nb_ooo_engine; i++)
-	for (uint32_t j=0; j<_param->_nb_inst_retire_rob [i]; j++)
-	  in_RETIRE_ROB_VAL [i][j]->write(0);
+// 		      if (in_RETIRE_ROB_RD_OLD_USE [i][j]->read())
+// 			gpr_status [i][in_RETIRE_ROB_RD_OLD_NUM_REG [i][j]->read()] = 0;
+// 		      if (in_RETIRE_ROB_RD_NEW_USE [i][j]->read())
+// 			gpr_status [i][in_RETIRE_ROB_RD_NEW_NUM_REG [i][j]->read()] = 1;
+// 		      if (in_RETIRE_ROB_RE_OLD_USE [i][j]->read())
+// 			spr_status [i][in_RETIRE_ROB_RE_OLD_NUM_REG [i][j]->read()] = 0;
+// 		      if (in_RETIRE_ROB_RE_NEW_USE [i][j]->read())
+// 			spr_status [i][in_RETIRE_ROB_RE_NEW_NUM_REG [i][j]->read()] = 1;
+// 		    }
+// 		}
+// 	    }
+// 	}
+//       for (uint32_t i=0; i<_param->_nb_ooo_engine; i++)
+// 	for (uint32_t j=0; j<_param->_nb_inst_retire_rob [i]; j++)
+// 	  in_RETIRE_ROB_VAL [i][j]->write(0);
 
       LABEL("(GPR) Read - and test data writted");
@@ -889,14 +899,14 @@
   delete []  in_INSERT_ROB_RE_USE            ;
   delete []  in_INSERT_ROB_RE_NUM_REG        ;
-  delete []  in_RETIRE_ROB_VAL               ;
-  delete [] out_RETIRE_ROB_ACK               ;
-  delete []  in_RETIRE_ROB_RD_OLD_USE        ;
-  delete []  in_RETIRE_ROB_RD_OLD_NUM_REG    ;
-  delete []  in_RETIRE_ROB_RD_NEW_USE        ;
-  delete []  in_RETIRE_ROB_RD_NEW_NUM_REG    ;
-  delete []  in_RETIRE_ROB_RE_OLD_USE        ; 
-  delete []  in_RETIRE_ROB_RE_OLD_NUM_REG    ;
-  delete []  in_RETIRE_ROB_RE_NEW_USE        ;
-  delete []  in_RETIRE_ROB_RE_NEW_NUM_REG    ;
+//   delete []  in_RETIRE_ROB_VAL               ;
+//   delete [] out_RETIRE_ROB_ACK               ;
+//   delete []  in_RETIRE_ROB_RD_OLD_USE        ;
+//   delete []  in_RETIRE_ROB_RD_OLD_NUM_REG    ;
+//   delete []  in_RETIRE_ROB_RD_NEW_USE        ;
+//   delete []  in_RETIRE_ROB_RD_NEW_NUM_REG    ;
+//   delete []  in_RETIRE_ROB_RE_OLD_USE        ; 
+//   delete []  in_RETIRE_ROB_RE_OLD_NUM_REG    ;
+//   delete []  in_RETIRE_ROB_RE_NEW_USE        ;
+//   delete []  in_RETIRE_ROB_RE_NEW_NUM_REG    ;
 #endif
 
